Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
auto-settlements
/
rules
Master Wallet Get Rules
curl --request GET \
  --url https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/auto-settlements/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "destination": {
        "address": "0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
        "asset": "USDC",
        "blockchain": "base",
        "isGateway": true
      },
      "isActive": true,
      "name": "Swap from Base USDC to Gateway",
      "order": "FASTEST",
      "slippageTolerance": "5",
      "source": {
        "assets": [
          "USDC"
        ],
        "blockchain": "base",
        "maxAmount": "1000",
        "minAmount": "1"
      }
    }
  ],
  "message": "Auto settlements rules fetched successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"{{walletId}}"

Response

200 - application/json

200

data
object[]
Example:
[
{
"destination": {
"address": "0x0077777d7EBA4688BDeF3E311b846F25870A19B9",
"asset": "USDC",
"blockchain": "base",
"isGateway": true
},
"isActive": true,
"name": "Swap from Base USDC to Gateway",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": ["USDC"],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
}
}
]
message
string
Example:

"Auto settlements rules fetched successfully"

statusCode
number
Example:

200